# Class GenericBase<T>

java.lang.Object
com.ryanharter.auto.value.gson.example.wildgenerics.GenericBase<T>

Direct Known Subclasses:
  `AddressGenericBase, DoubleGeneric`

public abstract class GenericBase<T> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`GenericBase.Builder<T, B extends GenericBase.Builder<T,B>>`

## Constructor Summary

Constructors
Constructor
Description
`GenericBase()`

## Method Summary

Modifier and Type
Method
Description
`abstract List<T>`
`collection()`
`abstract T`
`generic()`
`abstract String`
`notGeneric()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenericBase

public GenericBase()

## Method Details

### generic

public abstract T generic()

### notGeneric

public abstract String notGeneric()

### collection

public abstract List<T> collection()